Bug 1013791 - Cannot create scl Metapackage
Cannot create scl Metapackage
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: scl-utils (Show other bugs)
5.9
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Jan Zeleny
BaseOS QE - Apps
:
Depends On:
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2013-09-30 15:17 EDT by jcpunk
Modified: 2014-02-04 10:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-22 04:58:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample metapackage (1.05 KB, text/x-matlab)
2013-09-30 15:17 EDT, jcpunk
no flags Details

  None (edit)
Description jcpunk 2013-09-30 15:17:36 EDT
Created attachment 805469 [details]
sample metapackage

Description of problem: Following the instructions in the Fedora Documentation "Software Collections Guide 1.0" I generated a simple metapackage (see section 2.7.2).  However, I cannot build the resulting spec file.


Version-Release number of selected component (if applicable):
scl-utils-build-20120927-2.el5.i386.rpm
scl-utils-20120927-2.el5.i386.rpm


How reproducible: 100%


Steps to Reproduce:
1. Follow documented example for metapackage
2. be unable to compile metapackage

Actual results:
+ /usr/lib/rpm/find-debuginfo.sh /usr/src/redhat/BUILD/software_collection-1
+ /usr/lib/rpm/brp-scl-compress /opt/rh/software_collection/root
+ /usr/lib/rpm/redhat/brp-strip /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-scl-python-bytecompile /usr/bin/python /opt/rh/software_collection/root
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Processing files: software_collection-1-1.el5
Processing files: software_collection-runtime-1-1.el5
error: File not found: /opt/rh/software_collection/root
error: File not found: /opt/rh/software_collection
error: File not found: /opt/rh/software_collection/enable
error: File not found: /etc/scl/prefixes/software_collection
error: File not found: /opt/rh/software_collection/root/bin
error: File not found: /opt/rh/software_collection/root/boot
error: File not found: /opt/rh/software_collection/root/dev
error: File not found: /opt/rh/software_collection/root/etc
error: File not found: /opt/rh/software_collection/root/home
error: File not found: /opt/rh/software_collection/root/lib
error: File not found: /opt/rh/software_collection/root/media
error: File not found: /opt/rh/software_collection/root/mnt
error: File not found: /opt/rh/software_collection/root/mnt/cdrom
error: File not found: /opt/rh/software_collection/root/mnt/floppy
error: File not found: /opt/rh/software_collection/root/opt
error: File not found: /opt/rh/software_collection/root/proc
error: File not found: /opt/rh/software_collection/root/root
error: File not found: /opt/rh/software_collection/root/sbin
error: File not found: /opt/rh/software_collection/root/selinux
error: File not found: /opt/rh/software_collection/root/srv
error: File not found: /opt/rh/software_collection/root/sys
error: File not found: /opt/rh/software_collection/root/tmp
error: File not found: /opt/rh/software_collection/root/usr
error: File not found by glob: /opt/rh/software_collection/root/usr/[^s]*
error: File not found: /opt/rh/software_collection/root/usr/sbin
error: File not found: /opt/rh/software_collection/root/usr/share
error: File not found: /opt/rh/software_collection/root/usr/share/applications
error: File not found: /opt/rh/software_collection/root/usr/share/doc
error: File not found: /opt/rh/software_collection/root/usr/share/dict
error: File not found: /opt/rh/software_collection/root/usr/share/games
error: File not found: /opt/rh/software_collection/root/usr/share/empty
error: File not found: /opt/rh/software_collection/root/usr/share/info
error: File not found: /opt/rh/software_collection/root/usr/share/locale
error: File not found: /opt/rh/software_collection/root/usr/share/man
error: File not found: /opt/rh/software_collection/root/usr/share/misc
error: File not found: /opt/rh/software_collection/root/usr/share/pixmaps
error: File not found: /opt/rh/software_collection/root/usr/share/xsessions
error: File not found: /opt/rh/software_collection/root/usr/src
error: File not found: /opt/rh/software_collection/root/var
error: File not found: /opt/rh/software_collection/root/var/db
error: File not found: /opt/rh/software_collection/root/var/games
error: File not found: /opt/rh/software_collection/root/var/lib
error: File not found: /opt/rh/software_collection/root/var/local
error: File not found: /opt/rh/software_collection/root/var/lock
error: File not found: /opt/rh/software_collection/root/var/lock/subsys
error: File not found: /opt/rh/software_collection/root/var/cache
error: File not found: /opt/rh/software_collection/root/var/empty
error: File not found: /opt/rh/software_collection/root/var/log
error: File not found: /opt/rh/software_collection/root/var/mail
error: File not found: /opt/rh/software_collection/root/var/nis
error: File not found: /opt/rh/software_collection/root/var/opt
error: File not found: /opt/rh/software_collection/root/var/preserve
error: File not found: /opt/rh/software_collection/root/var/run
error: File not found: /opt/rh/software_collection/root/var/spool
error: File not found: /opt/rh/software_collection/root/var/spool/lpd
error: File not found: /opt/rh/software_collection/root/var/spool/mail
error: File not found: /opt/rh/software_collection/root/var/tmp
error: File not found: /opt/rh/software_collection/root/var/yp
Processing files: software_collection-build-1-1.el5
error: File not found: /etc/rpm/macros.software_collection-config
Checking for unpackaged file(s): /usr/lib/rpm/check-files /usr/src/redhat/BUILDROOT/software_collection-1-1.el5-root-root
error: Installed (but unpackaged) file(s) found:
   /etc/rpm/macros.software_collection-config
   /etc/scl/prefixes/software_collection
   /opt/rh/software_collection/enable
   /opt/rh/software_collection/root/usr/tmp
   /opt/rh/software_collection/root/var/mail


RPM build errors:
    File not found: /opt/rh/software_collection/root
    File not found: /opt/rh/software_collection
    File not found: /opt/rh/software_collection/enable
    File not found: /etc/scl/prefixes/software_collection
    File not found: /opt/rh/software_collection/root/bin
    File not found: /opt/rh/software_collection/root/boot
    File not found: /opt/rh/software_collection/root/dev
    File not found: /opt/rh/software_collection/root/etc
    File not found: /opt/rh/software_collection/root/home
    File not found: /opt/rh/software_collection/root/lib
    File not found: /opt/rh/software_collection/root/media
    File not found: /opt/rh/software_collection/root/mnt
    File not found: /opt/rh/software_collection/root/mnt/cdrom
    File not found: /opt/rh/software_collection/root/mnt/floppy
    File not found: /opt/rh/software_collection/root/opt
    File not found: /opt/rh/software_collection/root/proc
    File not found: /opt/rh/software_collection/root/root
    File not found: /opt/rh/software_collection/root/sbin
    File not found: /opt/rh/software_collection/root/selinux
    File not found: /opt/rh/software_collection/root/srv
    File not found: /opt/rh/software_collection/root/sys
    File not found: /opt/rh/software_collection/root/tmp
    File not found: /opt/rh/software_collection/root/usr
    File not found by glob: /opt/rh/software_collection/root/usr/[^s]*
    File not found: /opt/rh/software_collection/root/usr/sbin
    File not found: /opt/rh/software_collection/root/usr/share
    File not found: /opt/rh/software_collection/root/usr/share/applications
    File not found: /opt/rh/software_collection/root/usr/share/doc
    File not found: /opt/rh/software_collection/root/usr/share/dict
    File not found: /opt/rh/software_collection/root/usr/share/games
    File not found: /opt/rh/software_collection/root/usr/share/empty
    File not found: /opt/rh/software_collection/root/usr/share/info
    File not found: /opt/rh/software_collection/root/usr/share/locale
    File not found: /opt/rh/software_collection/root/usr/share/man
    File not found: /opt/rh/software_collection/root/usr/share/misc
    File not found: /opt/rh/software_collection/root/usr/share/pixmaps
    File not found: /opt/rh/software_collection/root/usr/share/xsessions
    File not found: /opt/rh/software_collection/root/usr/src
    File not found: /opt/rh/software_collection/root/var
    File not found: /opt/rh/software_collection/root/var/db
    File not found: /opt/rh/software_collection/root/var/games
    File not found: /opt/rh/software_collection/root/var/lib
    File not found: /opt/rh/software_collection/root/var/local
    File not found: /opt/rh/software_collection/root/var/lock
    File not found: /opt/rh/software_collection/root/var/lock/subsys
    File not found: /opt/rh/software_collection/root/var/cache
    File not found: /opt/rh/software_collection/root/var/empty
    File not found: /opt/rh/software_collection/root/var/log
    File not found: /opt/rh/software_collection/root/var/mail
    File not found: /opt/rh/software_collection/root/var/nis
    File not found: /opt/rh/software_collection/root/var/opt
    File not found: /opt/rh/software_collection/root/var/preserve
    File not found: /opt/rh/software_collection/root/var/run
    File not found: /opt/rh/software_collection/root/var/spool
    File not found: /opt/rh/software_collection/root/var/spool/lpd
    File not found: /opt/rh/software_collection/root/var/spool/mail
    File not found: /opt/rh/software_collection/root/var/tmp
    File not found: /opt/rh/software_collection/root/var/yp
    File not found: /etc/rpm/macros.software_collection-config
    Installed (but unpackaged) file(s) found:
   /etc/rpm/macros.software_collection-config
   /etc/scl/prefixes/software_collection
   /opt/rh/software_collection/enable
   /opt/rh/software_collection/root/usr/tmp
   /opt/rh/software_collection/root/var/mail


Expected results:
example should work

Additional info:
exact spec file I used attached.
Comment 1 Jan Zeleny 2013-11-22 04:58:36 EST
I tried with the same spec file on RHEL 5.10 and everything worked. There is just one thing missing in your spec file:
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Please try if this resolves your problems.

Note You need to log in before you can comment on or make changes to this bug.